Create a new presentation template.
curl --request POST \
--url https://test.didxtech.com/me-creds/api/v1/templates/presentations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": "manual"
}
'import requests
url = "https://test.didxtech.com/me-creds/api/v1/templates/presentations"
payload = { "source": "manual" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({source: 'manual'})
};
fetch('https://test.didxtech.com/me-creds/api/v1/templates/presentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "My presentation template",
"description": "This is a description",
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"id": "6421a8905c17830c188e2e2f",
"credentials": [
{
"format": "sd-jwt-vc",
"name": "My SD-JWT credential",
"description": "A verifiable credential",
"type": "https://test.didxtech.com/vct/acme-university/UniversityCard",
"attributes": {
"myAttribute": {
"type": "string"
}
}
},
{
"format": "mdoc",
"name": "My mDL credential",
"description": "A mobile driving licence",
"type": "org.iso.18013.5.1.mDL",
"attributes": {
"org.iso.18013.5.1": {
"properties": {
"family_name": {
"intentToRetain": false
}
}
}
}
}
]
},
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {
"trustResolution": [
{
"presetIssuer": {
"kind": "did",
"did": "<string>",
"name": "<string>"
},
"trustedEntityId": "<string>",
"credentialIndex": 1
}
]
},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Presentation Templates API
Create a new presentation template (v1)
POST
/
v1
/
templates
/
presentations
Create a new presentation template.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
Created presentation template. From-preset path additionally surfaces a meta.trustResolution log of which preset issuers resolved to which tenant trusted-entities.
Show child attributes
Show child attributes
Example:
{
"name": "My presentation template",
"description": "This is a description",
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"id": "6421a8905c17830c188e2e2f",
"credentials": [
{
"format": "sd-jwt-vc",
"name": "My SD-JWT credential",
"description": "A verifiable credential",
"type": "https://test.didxtech.com/vct/acme-university/UniversityCard",
"attributes": { "myAttribute": { "type": "string" } }
},
{
"format": "mdoc",
"name": "My mDL credential",
"description": "A mobile driving licence",
"type": "org.iso.18013.5.1.mDL",
"attributes": {
"org.iso.18013.5.1": {
"properties": {
"family_name": { "intentToRetain": false }
}
}
}
}
]
}
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

